0
$\begingroup$

I am new to ROS 2, and I am trying to install Autoware.Universe with ROS 2 Humble on ubuntu 22.04. Everything is well when I tried with ROS 2 Humble Desktop, but once I switched to ROS 2 Humble Source, the error "rosidl_generate_interfaces() the passed dependency 'geographic_msgs' has not been found before using find_package()" jumps out.

I checked the files in Desktop version and Source version, and found that a package named "geographic_msgs" is in the path "/opt/ros/humble/include/" of Desktop version but is missing in the path "~/ros2_humble/install/" Source version.

I've tried to copy the package from Desktop version to the Source version but it doesn't help, and I can't find the source code about the geographic_msgs. Is there any suggestion for this problem? Thanks.

$\endgroup$
2
  • $\begingroup$ I have also tried "sudo apt-get install ros-humble-geographic-msgs" and it returned with "ros-humble-geographic-msgs is already the newest version (1.0.6-1jammy.20240523.213856)". $\endgroup$
    – Tom Tang
    Commented Jul 3 at 12:58
  • $\begingroup$ Problem SOLVED: you can get the source code from github.com/ros-geographic-info/geographic_info/releases/tag/… and put the code under path: ~/ros2_humble/src/ros2/common_interfaces. $\endgroup$
    – Tom Tang
    Commented Jul 5 at 3:26

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.